aboutsummaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/cppawk11
1 files changed, 8 insertions, 3 deletions
diff --git a/bin/cppawk b/bin/cppawk
index bb58c78..c35b4fd 100755
--- a/bin/cppawk
+++ b/bin/cppawk
@@ -150,10 +150,15 @@ while [ $# -gt 0 ] ; do
-U* | -D* | -I* | -iquote* )
prepro_opts="$prepro_opts $(quote "$1")"
;;
- -f )
- [ $# -gt 1 ] || die "-f requires argument"
- [ -z "$awk_file" ] || die "-f can be only given once"
+ -f | -E )
+ [ $# -gt 1 ] || die "%s requires argument" $1
+ [ -z "$awk_file" ] || die "%s can be only given once" $1
awk_file=$2
+ if [ $1 = -E ] ; then
+ shift
+ shift
+ break
+ fi
shift
;;
-F | -v | -E | -i | -l | -L )